base-compat-0.9.3: A compatibility layer for base

Safe Haskell | Safe
Language | Haskell98

Foreign.Marshal.Alloc.Compat

Synopsis

- calloc :: Storable a => IO (Ptr a)
- callocBytes :: Int -> IO (Ptr a)

# Documentation

calloc :: Storable a => IO (Ptr a) #

Like `malloc` but memory is filled with bytes of value zero.

callocBytes :: Int -> IO (Ptr a) #

Llike `mallocBytes` but memory is filled with bytes of value zero.